--script for http://www.radiotunes.com/ (10/11/2015)


 local session = m_simpleTV.WinInet.New("Opera/9.80 (Windows NT 6.1; U; ru) Presto/2.9.168 Version/11.52")
 if session == nil then return end

  --INTERNET_OPTION_CONNECT_TIMEOUT
  m_simpleTV.WinInet.SetOptionInt(session,2,5000,0)
  --INTERNET_OPTION_RECEIVE_TIMEOUT
  m_simpleTV.WinInet.SetOptionInt(session,6,8000,0)
-------------------------------------------
 m_simpleTV.OSD.ShowMessage("RadioTunes - playlist start updating" ,0xFF00,10)

local  tmpName = m_simpleTV.Common.GetTmpName()
if tmpName == nil then return end 

 local tfile = io.open(tmpName,'w+')
 if tfile == nil then 
     os.remove(tmpName)
     return
 end
 
 tfile:write('#EXTM3U $LogoPath="..\\Channel\\logo\\RadioAddonLogo\\RadioTunes\\"\n')
 tfile:close() 

local rc,answer=m_simpleTV.WinInet.Get(session,'http://www.radiotunes.com/')

m_simpleTV.WinInet.Close(session)

if rc~=200 then
	   m_simpleTV.WinInet.Close(session)
	   m_simpleTV.OSD.ShowMessage("RadioTunes ñonnection error - " .. rc ,255,10)
	   return
 end
answer = m_simpleTV.Common.string_fromUTF8(answer)
answer = string.gsub(answer, '&#x27;',"'")
answer = string.gsub(answer, '&amp;',"&")
answer = string.gsub(answer, '\n',"")
answer = findpattern( answer,'<div class="lists">(.-)<li class="channels%-index">',1,0,0)
--debug_in_file(answer .. '\n\n')
if answer == nil then return end

local i=1
local m3ustr, name, adr
local grp = 'RadioTunes'
 for w in string.gmatch(answer,'<a(.-)</li>') do
	name = findpattern( w,'<span>(.-)</span>',1,6,7)
	adr = findpattern( w,'href="(.-)"',1,6,1)
	if name == nil or adr == nil then break end
        adr  = 'http://listen.radiotunes.com/webplayer' .. adr .. '.json'

 m3ustr = '#EXTINF:%-1,'..grp..':'.. name..'\n'..adr..'\n'
 tfile = io.open(tmpName,'a+')
 tfile:write(m3ustr)
 tfile:close()
i=i+1
 end	

  --îïöèè  äëÿ çàãðóçêè ïëåéëèñòà 
local p={}
p.TypeSourse = 1
p.DeleteBeforeLoad = 0
p.TypeSkip   = 1
p.TypeFind =   0
p.AutoSearch = 1
p.NumberM3U =  1
p.Find_Group = 1
p.TypeCoding = 0  --  -1-auto  0 - plane text  1- UTF8  2- unicode
p.BorpasFileFormat=0
p.ExtFilter = 'Radio'
p.AutoNumber = 0
p.ExtFilterLogo =  '..\\Channel\\logo\\icons\\radio.png'   -- the logo of extended filter (from ver. 0.4.8 b9)
p.ExtFilterLogoForce = 0

local err,add,ref,names = m_simpleTV.Common.LoadPlayList (tmpName,p,0,true,false)
os.remove(tmpName)

if err==true then
     local mess = "RadioTunes - channels updated (" .. add .. ")"
	 if add > 0 and add < 25 then 
	    names = string.gsub(names,'%$end','\n')
		mess = mess .. '\n' .. names
	 end
	 
	 m_simpleTV.OSD.ShowMessage(mess,0xFF00,5)
	 
end





